Name:          maven-plugin-anno
Version:       1.4.1
Release:       1%{?dist}
Summary:       Maven Annotated Mojo
License:       ASL 2.0
URL:           http://wiki.jfrog.org/confluence/display/OSS/Maven+Anno+Mojo
Source0:       https://github.com/JFrogDev/maven-anno-mojo/archive/%{name}-parent-%{version}.tar.gz
# https://github.com/JFrogDev/maven-anno-mojo/issues/4
Source1:       http://www.apache.org/licenses/LICENSE-2.0.txt

BuildRequires: maven-local
BuildRequires: mvn(org.apache.maven:maven-plugin-descriptor)
BuildRequires: mvn(org.apache.maven.plugin-tools:maven-plugin-tools-api)
BuildRequires: mvn(org.apache.maven.plugins:maven-plugin-plugin)
BuildRequires: mvn(org.codehaus.mojo:cobertura-maven-plugin)

BuildArch:     noarch

%description
Maven maven-plugin-plugin extension that allows writing annotated Mojos using
JDK 1.5 annotations instead of doclet comments.

%package javadoc
Summary:       Javadoc for %{name}

%description javadoc
This package contains javadoc for %{name}.

%prep
%setup -q -n maven-anno-mojo-%{name}-parent-%{version}
cp -p %{SOURCE1} .

%pom_remove_plugin :maven-javadoc-plugin
%pom_remove_plugin :maven-site-plugin
%pom_remove_plugin :maven-source-plugin

%pom_xpath_remove "pom:dependencies/pom:dependency[pom:artifactId = 'tools']/pom:scope" maven-plugin-tools-anno
%pom_xpath_remove "pom:dependencies/pom:dependency[pom:artifactId = 'tools']/pom:systemPath" maven-plugin-tools-anno
%pom_xpath_set "pom:dependencies/pom:dependency[pom:artifactId = 'tools']/pom:version" 1.7.0 maven-plugin-tools-anno

%build

%mvn_build -- -Dproject.build.sourceEncoding=UTF-8

%install
%mvn_install

%files -f .mfiles
%dir %{_javadir}/%{name}
%doc README.rdoc
%license LICENSE-2.0.txt

%files javadoc -f .mfiles-javadoc
%license LICENSE-2.0.txt

%changelog
* Mon Mar 02 2015 gil cattaneo <puntogil@libero.it> 1.4.1-1
- initial rpm
